For the complete documentation index, see llms.txt. This page is also available as Markdown.

Usergroup

User Groups

UserGroup Search

get

Search User Groups

Query parameters
userGroupIdintegerOptional

Filter by UserGroup Id

userGroupstringOptional

Filter by UserGroup Name

sortBystring · enumOptional

Specifies which field the results are sorted by. Used together with sortDir

Possible values:
sortDirstring · enumOptional

Sort direction

Possible values:
Responses
200

successful operation

application/json
get/group
GET /api/group HTTP/1.1
Accept: */*
200

successful operation

[
  {
    "groupId": 1,
    "group": "text",
    "isUserSpecific": 1,
    "isEveryone": 1,
    "description": "text",
    "libraryQuota": 1,
    "isSystemNotification": 1,
    "isDisplayNotification": 1,
    "isDataSetNotification": 1,
    "isLayoutNotification": 1,
    "isLibraryNotification": 1,
    "isReportNotification": 1,
    "isScheduleNotification": 1,
    "isCustomNotification": 1,
    "isShownForAddUser": 1,
    "defaultHomepageId": "text",
    "features": [
      "text"
    ]
  }
]

UserGroup Add

post

Add User Group

Body
groupstringRequired

Name of the User Group

decriptionstringOptional

A description of the User Group

libraryQuotastringOptional

The quota that should be applied (KiB). Provide 0 for no quota

isSystemNotificationintegerOptional

Flag (0, 1), should members of this Group receive system notifications?

isDisplayNotificationintegerOptional

Flag (0, 1), should members of this Group receive Display notifications * for Displays they have permissions to see

isDataSetNotificationintegerOptional

Flag (0, 1), should members of this Group receive DataSet notification emails?

isLayoutNotificationintegerOptional

Flag (0, 1), should members of this Group receive Layout notification emails?

isLibraryNotificationintegerOptional

Flag (0, 1), should members of this Group receive Library notification emails?

isReportNotificationintegerOptional

Flag (0, 1), should members of this Group receive Report notification emails?

isScheduleNotificationintegerOptional

Flag (0, 1), should members of this Group receive Schedule notification emails?

isCustomNotificationintegerOptional

Flag (0, 1), should members of this Group receive Custom notification emails?

isShownForAddUserintegerOptional

Flag (0, 1), should this Group be shown in the Add User onboarding form.

defaultHomePageIdintegerOptional

If this user has been created via the onboarding form, this should be the default home page

Responses
201

successful operation

application/json
post/group
POST /api/group HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 307

"group='text'&decription='text'&libraryQuota='text'&isSystemNotification=1&isDisplayNotification=1&isDataSetNotification=1&isLayoutNotification=1&isLibraryNotification=1&isReportNotification=1&isScheduleNotification=1&isCustomNotification=1&isShownForAddUser=1&defaultHomePageId=1"
201

successful operation

{
  "groupId": 1,
  "group": "text",
  "isUserSpecific": 1,
  "isEveryone": 1,
  "description": "text",
  "libraryQuota": 1,
  "isSystemNotification": 1,
  "isDisplayNotification": 1,
  "isDataSetNotification": 1,
  "isLayoutNotification": 1,
  "isLibraryNotification": 1,
  "isReportNotification": 1,
  "isScheduleNotification": 1,
  "isCustomNotification": 1,
  "isShownForAddUser": 1,
  "defaultHomepageId": "text",
  "features": [
    "text"
  ]
}

User Group search by ID

get

Get the User group object specified by the provided groupId

Path parameters
userGroupIdintegerRequired

Numeric ID of the User Group to get

Responses
200

successful operation

application/json

Class UserGroup

groupIdintegerOptional

The Group ID

groupstringOptional

The group name

isUserSpecificintegerOptional

A flag indicating whether this is a user specific group or not

isEveryoneintegerOptional

A flag indicating the special everyone group

descriptionstringOptional

Description of this User Group

libraryQuotaintegerOptional

This users library quota in bytes. 0 = unlimited

isSystemNotificationintegerOptional

Does this Group receive system notifications.

isDisplayNotificationintegerOptional

Does this Group receive display notifications.

isDataSetNotificationintegerOptional

Does this Group receive DataSet notifications.

isLayoutNotificationintegerOptional

Does this Group receive Layout notifications.

isLibraryNotificationintegerOptional

Does this Group receive Library notifications.

isReportNotificationintegerOptional

Does this Group receive Report notifications.

isScheduleNotificationintegerOptional

Does this Group receive Schedule notifications.

isCustomNotificationintegerOptional

Does this Group receive Custom notifications.

isShownForAddUserintegerOptional

Is this Group shown in the list of choices when onboarding a new user

defaultHomepageIdstringOptional

Default Home page for new users

featuresstring[]Optional

Features this User Group has direct access to

get/group/{userGroupId}
GET /api/group/{userGroupId} HTTP/1.1
Accept: */*
200

successful operation

{
  "groupId": 1,
  "group": "text",
  "isUserSpecific": 1,
  "isEveryone": 1,
  "description": "text",
  "libraryQuota": 1,
  "isSystemNotification": 1,
  "isDisplayNotification": 1,
  "isDataSetNotification": 1,
  "isLayoutNotification": 1,
  "isLibraryNotification": 1,
  "isReportNotification": 1,
  "isScheduleNotification": 1,
  "isCustomNotification": 1,
  "isShownForAddUser": 1,
  "defaultHomepageId": "text",
  "features": [
    "text"
  ]
}

UserGroup Edit

put

Edit User Group

Path parameters
userGroupIdintegerRequired

ID of the User Group

Body
groupstringRequired

Name of the User Group

decriptionstringOptional

A description of the User Group

libraryQuotastringOptional

The quota that should be applied (KiB). Provide 0 for no quota

isSystemNotificationintegerOptional

Flag (0, 1), should members of this Group receive system notifications?

isDisplayNotificationintegerOptional

Flag (0, 1), should members of this Group receive Display notifications * for Displays they have permissions to see

isDataSetNotificationintegerOptional

Flag (0, 1), should members of this Group receive DataSet notification emails?

isLayoutNotificationintegerOptional

Flag (0, 1), should members of this Group receive Layout notification emails?

isLibraryNotificationintegerOptional

Flag (0, 1), should members of this Group receive Library notification emails?

isReportNotificationintegerOptional

Flag (0, 1), should members of this Group receive Report notification emails?

isScheduleNotificationintegerOptional

Flag (0, 1), should members of this Group receive Schedule notification emails?

isCustomNotificationintegerOptional

Flag (0, 1), should members of this Group receive Custom notification emails?

isShownForAddUserintegerOptional

Flag (0, 1), should this Group be shown in the Add User onboarding form.

defaultHomePageIdintegerOptional

If this user has been created via the onboarding form, this should be the default home page

Responses
200

successful operation

application/json

Class UserGroup

groupIdintegerOptional

The Group ID

groupstringOptional

The group name

isUserSpecificintegerOptional

A flag indicating whether this is a user specific group or not

isEveryoneintegerOptional

A flag indicating the special everyone group

descriptionstringOptional

Description of this User Group

libraryQuotaintegerOptional

This users library quota in bytes. 0 = unlimited

isSystemNotificationintegerOptional

Does this Group receive system notifications.

isDisplayNotificationintegerOptional

Does this Group receive display notifications.

isDataSetNotificationintegerOptional

Does this Group receive DataSet notifications.

isLayoutNotificationintegerOptional

Does this Group receive Layout notifications.

isLibraryNotificationintegerOptional

Does this Group receive Library notifications.

isReportNotificationintegerOptional

Does this Group receive Report notifications.

isScheduleNotificationintegerOptional

Does this Group receive Schedule notifications.

isCustomNotificationintegerOptional

Does this Group receive Custom notifications.

isShownForAddUserintegerOptional

Is this Group shown in the list of choices when onboarding a new user

defaultHomepageIdstringOptional

Default Home page for new users

featuresstring[]Optional

Features this User Group has direct access to

put/group/{userGroupId}
PUT /api/group/{userGroupId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 307

"group='text'&decription='text'&libraryQuota='text'&isSystemNotification=1&isDisplayNotification=1&isDataSetNotification=1&isLayoutNotification=1&isLibraryNotification=1&isReportNotification=1&isScheduleNotification=1&isCustomNotification=1&isShownForAddUser=1&defaultHomePageId=1"
200

successful operation

{
  "groupId": 1,
  "group": "text",
  "isUserSpecific": 1,
  "isEveryone": 1,
  "description": "text",
  "libraryQuota": 1,
  "isSystemNotification": 1,
  "isDisplayNotification": 1,
  "isDataSetNotification": 1,
  "isLayoutNotification": 1,
  "isLibraryNotification": 1,
  "isReportNotification": 1,
  "isScheduleNotification": 1,
  "isCustomNotification": 1,
  "isShownForAddUser": 1,
  "defaultHomepageId": "text",
  "features": [
    "text"
  ]
}

Delete User Group

delete

Delete User Group

Path parameters
userGroupIdintegerRequired

The user Group ID to Delete

Responses
204

successful operation

No content

delete/group/{userGroupId}
DELETE /api/group/{userGroupId} HTTP/1.1
Accept: */*
204

successful operation

No content

Assign User to User Group

post

Assign User to User Group

Path parameters
userGroupIdintegerRequired

ID of the user group to which assign the user

Body
userIdinteger[]Required

Array of userIDs to assign

unassignUserIdinteger[]Optional

An optional array of User IDs to unassign

Responses
200

successful operation

application/json

Class UserGroup

groupIdintegerOptional

The Group ID

groupstringOptional

The group name

isUserSpecificintegerOptional

A flag indicating whether this is a user specific group or not

isEveryoneintegerOptional

A flag indicating the special everyone group

descriptionstringOptional

Description of this User Group

libraryQuotaintegerOptional

This users library quota in bytes. 0 = unlimited

isSystemNotificationintegerOptional

Does this Group receive system notifications.

isDisplayNotificationintegerOptional

Does this Group receive display notifications.

isDataSetNotificationintegerOptional

Does this Group receive DataSet notifications.

isLayoutNotificationintegerOptional

Does this Group receive Layout notifications.

isLibraryNotificationintegerOptional

Does this Group receive Library notifications.

isReportNotificationintegerOptional

Does this Group receive Report notifications.

isScheduleNotificationintegerOptional

Does this Group receive Schedule notifications.

isCustomNotificationintegerOptional

Does this Group receive Custom notifications.

isShownForAddUserintegerOptional

Is this Group shown in the list of choices when onboarding a new user

defaultHomepageIdstringOptional

Default Home page for new users

featuresstring[]Optional

Features this User Group has direct access to

post/group/members/assign/{userGroupId}
POST /api/group/members/assign/{userGroupId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 35

"userId=[1]&unassignUserId=[1]"
200

successful operation

[
  {
    "groupId": 1,
    "group": "text",
    "isUserSpecific": 1,
    "isEveryone": 1,
    "description": "text",
    "libraryQuota": 1,
    "isSystemNotification": 1,
    "isDisplayNotification": 1,
    "isDataSetNotification": 1,
    "isLayoutNotification": 1,
    "isLibraryNotification": 1,
    "isReportNotification": 1,
    "isScheduleNotification": 1,
    "isCustomNotification": 1,
    "isShownForAddUser": 1,
    "defaultHomepageId": "text",
    "features": [
      "text"
    ]
  }
]

Unassign User from User Group

post

Unassign User from User Group

Path parameters
userGroupIdintegerRequired

ID of the user group from which to unassign the user

Body
userIdinteger[]Required

Array of userIDs to unassign

Responses
200

successful operation

application/json

Class UserGroup

groupIdintegerOptional

The Group ID

groupstringOptional

The group name

isUserSpecificintegerOptional

A flag indicating whether this is a user specific group or not

isEveryoneintegerOptional

A flag indicating the special everyone group

descriptionstringOptional

Description of this User Group

libraryQuotaintegerOptional

This users library quota in bytes. 0 = unlimited

isSystemNotificationintegerOptional

Does this Group receive system notifications.

isDisplayNotificationintegerOptional

Does this Group receive display notifications.

isDataSetNotificationintegerOptional

Does this Group receive DataSet notifications.

isLayoutNotificationintegerOptional

Does this Group receive Layout notifications.

isLibraryNotificationintegerOptional

Does this Group receive Library notifications.

isReportNotificationintegerOptional

Does this Group receive Report notifications.

isScheduleNotificationintegerOptional

Does this Group receive Schedule notifications.

isCustomNotificationintegerOptional

Does this Group receive Custom notifications.

isShownForAddUserintegerOptional

Is this Group shown in the list of choices when onboarding a new user

defaultHomepageIdstringOptional

Default Home page for new users

featuresstring[]Optional

Features this User Group has direct access to

post/group/members/unassign/{userGroupId}
POST /api/group/members/unassign/{userGroupId} HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 14

"userId=[1]"
200

successful operation

[
  {
    "groupId": 1,
    "group": "text",
    "isUserSpecific": 1,
    "isEveryone": 1,
    "description": "text",
    "libraryQuota": 1,
    "isSystemNotification": 1,
    "isDisplayNotification": 1,
    "isDataSetNotification": 1,
    "isLayoutNotification": 1,
    "isLibraryNotification": 1,
    "isReportNotification": 1,
    "isScheduleNotification": 1,
    "isCustomNotification": 1,
    "isShownForAddUser": 1,
    "defaultHomepageId": "text",
    "features": [
      "text"
    ]
  }
]

Copy User Group

post

Copy an user group, optionally copying the group members

Path parameters
userGroupIdintegerRequired

The User Group ID to Copy

Body
groupstringRequired

The Group Name

copyMembersintegerOptional

Flag indicating whether to copy group members

copyFeaturesintegerOptional

Flag indicating whether to copy group features

Responses
201

successful operation

application/json
post/group/{userGroupId}/copy
POST /api/group/{userGroupId}/copy HTTP/1.1
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 49

"group='text'&copyMembers=1&copyFeatures=1"
201

successful operation

{
  "groupId": 1,
  "group": "text",
  "isUserSpecific": 1,
  "isEveryone": 1,
  "description": "text",
  "libraryQuota": 1,
  "isSystemNotification": 1,
  "isDisplayNotification": 1,
  "isDataSetNotification": 1,
  "isLayoutNotification": 1,
  "isLibraryNotification": 1,
  "isReportNotification": 1,
  "isScheduleNotification": 1,
  "isCustomNotification": 1,
  "isShownForAddUser": 1,
  "defaultHomepageId": "text",
  "features": [
    "text"
  ]
}

Last updated

Was this helpful?